MPI_Get_elements(3)

NAME
MPI_Get_elements - Returns the number of basic elements in a datatype

SYNOPSIS
#include "mpi.h"
int MPI_Get_elements ( MPI_Status *status, MPI_Datatype datatype,
                      int *elements )

INPUT PARAMETERS
status
    - return status of receive operation (Status)
datatype
    - datatype used by receive operation (handle)

OUTPUT PARAMETER
count
    - number of received basic elements (integer)

NOTES FOR FORTRAN
All MPI routines in Fortran (except for MPI_WTIME and MPI_WTICK ) have an additional argument ierr at the end of the argument list. ierr is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the call statement. All MPI objects (e.g., MPI_Datatype , MPI_Comm ) are of type INTEGER in Fortran.

ERRORS
All MPI routines (except MPI_Wtime and MPI_Wtick ) return an error value; C routines as the value of the function and Fortran routines in the last argument. Before the value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job. The error handler may be changed with MPI_Errhandler_set ; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarentee that an MPI program can continue past an error.
MPI_SUCCESS
    - No error; MPI routine completed successfully.
MPI_ERR_TYPE
    - Invalid datatype argument. May be an uncommitted MPI_Datatype (see MPI_Type_commit ).

LOCATION
getelements.c